<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'assign', language 'en_wp', version '3.11'.
 *
 * @package     assign
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowsubmissionsfromdate_help'] = 'If enabled, learners will not be able to submit before this date. If disabled, learners will be able to start submitting right away.';
$string['alwaysshowdescription_help'] = 'If disabled, the assignment description above will only become visible to learners on the "Allow submissions from" date.';
$string['assign:editothersubmission'] = 'Edit another learner\'s submission';
$string['assign:revealidentities'] = 'Reveal learner identities';
$string['assign:viewblinddetails'] = 'View learner identities when anonymous submissions are enabled';
$string['attemptreopenmethod_help'] = 'This setting determines whether a learner can make additional attempts at the assignment. For each attempt, the grade and feedback are saved, and can be viewed by the trainer and the learner. The available options are:

* Never - Only one attempt is possible.
* Manually - Additional attempts may be allowed by a trainer.
* Automatically until pass - Additional attempts are allowed automatically until the learner achieves the grade to pass set in the gradebook for this assignment.';
$string['blindmarking_help'] = 'Anonymous submissions hide the identity of learners from markers. Anonymous submission settings will be locked once a submission or grade has been made in relation to this assignment.';
$string['blindmarkingenabledwarning'] = 'Anonymous submissions are enabled for this activity. Grades will not be added to the gradebook until learner identities are revealed via the grading action menu.';
$string['completionsubmit'] = 'Learner must submit to this activity to complete it';
$string['confirmbatchgradingoperation'] = 'Are you sure you want to {$a->operation} for {$a->count} learners?';
$string['gradeoutofhelp_help'] = 'Enter the grade for the learner\'s submission here. You may include decimals.';
$string['gradestudent'] = 'Grade learner: (id={$a->id}, fullname={$a->fullname}).';
$string['gradingduedate_help'] = 'The expected date that marking of the submissions should be completed by. This date is used to prioritise dashboard notifications for trainers.';
$string['gradingstudent'] = 'Grading learner';
$string['grantextensionforusers'] = 'Grant extension for {$a} learners';
$string['hidegrader'] = 'Hide grader identity from learners';
$string['hidegrader_help'] = 'If enabled, the identity of any user who grades an assignment submission is not shown, so learners can\'t see who marked their work.

Note that this setting has no effect on the comments box on the grading page.';
$string['inactiveoverridehelp'] = '* This override is inactive because the user\'s access to the activity is restricted. This can be due to group or role assignments, other access restrictions, or the activity being hidden.';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the learner in an Assignment activity.';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the learner in an Assignment activity.';
$string['locksubmissionforstudent'] = 'Prevent any more submissions for learner: (id={$a->id}, fullname={$a->fullname}).';
$string['markingallocation_help'] = 'If enabled together with marking workflow, markers can be allocated to particular learners.';
$string['markingworkflow_help'] = 'If enabled, marks will go through a series of workflow stages before being released to learners. This allows for multiple rounds of marking and allows marks to be released to all learners at the same time.';
$string['markingworkflowstate_help'] = 'Possible workflow states may include (depending on your permissions):

* Not marked - the marker has not yet started
* In marking - the marker has started but not yet finished
* Marking completed - the marker has finished but might need to go back for checking/corrections
* In review - the marking is now with the trainer in charge for quality checking
* Ready for release - the trainer in charge is satisfied with the marking but waits before giving learners access to the marking
* Released - the learner can access the grades/feedback';
$string['maxattempts_help'] = 'The maximum number of submission attempts that can be made by a learner. After this number has been reached, the submission can no longer be reopened.';
$string['modulename_help'] = 'The assignment activity module enables a trainer to communicate tasks, collect work and provide grades and feedback.

Learners can submit any digital content (files), such as word-processed documents, spreadsheets, images, or audio and video clips. Alternatively, or in addition, the assignment may require learners to type text directly into the text editor. An assignment can also be used to remind learners of \'real-world\' assignments they need to complete offline, such as art work, and thus not require any digital content. Learners can submit work individually or as a member of a group.

When reviewing assignments, trainers can leave feedback comments and upload files, such as marked-up learner submissions, documents with comments or spoken audio feedback. Assignments can be graded using a numerical or custom scale or an advanced grading method such as a rubric. Final grades are recorded in the gradebook.';
$string['multipleteams_desc'] = 'The assignment requires submission in groups. You are a member of more than one group. To be able to submit you must be a member of only one group. Please contact your trainer to change your group membership.';
$string['noteam_desc'] = 'This assignment requires submission in groups. You are not a member of any group, so you cannot create a submission. Please contact your trainer to be added to a group.';
$string['privacy:metadata:assignmessageexplanation'] = 'Messages are sent to learners through the messaging system.';
$string['relativedatessubmissiontimeleft'] = 'Calculated for each learner';
$string['removesubmissionforstudent'] = 'Remove submission for learner: (id={$a->id}, fullname={$a->fullname}).';
$string['reopenuntilpassincompatiblewithblindmarking'] = 'Reopen until pass option is incompatible with anonymous submissions, because the grades are not released to the gradebook until the learner identities are revealed.';
$string['requireallteammemberssubmit_help'] = 'If enabled, all members of the learner group must click the submit button for this assignment before the group submission will be considered as submitted. If disabled, the group submission will be considered as submitted as soon as any member of the learner group clicks the submit button.';
$string['requiresubmissionstatement'] = 'Require that learners accept the submission statement';
$string['requiresubmissionstatement_help'] = 'Require that learners accept the submission statement for all submissions to this assignment.';
$string['revealidentities'] = 'Reveal learner identities';
$string['revealidentitiesconfirm'] = 'Are you sure you want to reveal learner identities for this assignment? This operation cannot be undone. Once the learner identities have been revealed, the marks will be released to the gradebook.';
$string['reverttodraftforstudent'] = 'Revert submission to draft for learner: (id={$a->id}, fullname={$a->fullname}).';
$string['sendlatenotifications_help'] = 'If enabled, graders (usually trainers) receive a message whenever a learner submits an assignment late. Message methods are configurable.';
$string['sendnotifications_help'] = 'If enabled, graders (usually trainers) receive a message whenever a learner submits an assignment, early, on time and late. Message methods are configurable.';
$string['sendstudentnotifications'] = 'Notify learner';
$string['sendstudentnotificationsdefault'] = 'Default for \'Notify learner\'';
$string['sendstudentnotificationsdefault_help'] = 'When grading each learner, should \'Notify learner\' be ticked by default?';
$string['sendsubmissionreceipts'] = 'Send submission receipt to learners';
$string['sendsubmissionreceipts_help'] = 'This switch will enable submission receipts for learners. Learners will receive a notification every time they successfully submit an assignment.';
$string['studentnotificationworkflowstateerror'] = 'Marking workflow state must be \'Released\' to notify learners.';
$string['submissiondrafts'] = 'Require learners to click the submit button';
$string['submissiondrafts_help'] = 'f enabled, learners will have to click a Submit button to declare their submission as final. This allows learners to keep a draft version of the submission on the system. If this setting is changed from "No" to "Yes" after learners have already submitted, those submissions will be regarded as final.';
$string['submissioneditable'] = 'Learner can edit this submission';
$string['submissionlog'] = 'Learner: {$a->fullname}, Status: {$a->status}';
$string['submissionnoteditable'] = 'Learner cannot edit this submission';
$string['submissionstatement_help'] = 'Statement that each learner must accept in order to submit their work.';
$string['submissionstatementteamsubmission_help'] = 'Statement that each learner must accept in order to submit the work of their group.';
$string['submissionstatementteamsubmissionallsubmit_help'] = 'Statement that each learner must accept in order to submit their work as a group member.';
$string['teamsubmission'] = 'Learners submit in groups';
$string['teamsubmission_help'] = 'If enabled, learners will be divided into groups based on the default set of groups or a custom grouping. A group submission will be shared among group members and all members of the group will see each others\' changes to the submission.';
$string['teamsubmissiongroupingid'] = 'Grouping for learner groups';
$string['teamsubmissiongroupingid_help'] = 'This is the grouping that the assignment will use to find groups for learner groups. If not set, the default set of groups will be used.';
$string['ungroupedusersoptional'] = 'The setting \'Learners submit in groups\' is enabled and some users are either not a member of any group, or are a member of more than one group. Please be aware that these learners will submit as members of the \'Default group\'.';
$string['unlocksubmissionforstudent'] = 'Allow submissions for learner: (id={$a->id}, fullname={$a->fullname}).';
$string['usersnone'] = 'No learners have access to this assignment.';
$string['viewgradingformforstudent'] = 'View grading page for learner: (id={$a->id}, fullname={$a->fullname}).';
$string['viewrevealidentitiesconfirm'] = 'View reveal learner identities confirmation page.';
