<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'lesson', language 'en_wp', version '3.11'.
 *
 * @package     lesson
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['completionendreached_desc'] = 'Learner must reach the end of lesson page to complete this activity';
$string['completiontimespent'] = 'Learner must do this activity at least for';
$string['completiontimespentdesc'] = 'Learner must do this activity for at least {$a}';
$string['defaultessayresponse'] = 'Your essay will be graded by your trainer.';
$string['dependencyon_help'] = 'This setting allows access to this lesson to be dependent upon a learner\'s performance in another lesson in the same course. Any combination of time spent, completed or "grade better than" may be used.';
$string['displayleftif_help'] = 'This setting determines whether a learner must obtain a certain grade before viewing the lesson menu. This forces the learner to go through the entire lesson on their first attempt, then after obtaining the required grade they can use the menu for review.';
$string['displayofgrade'] = 'Display of grade (for learners only)';
$string['displayreview_help'] = 'If enabled, when a question is answered incorrectly, the learner is given the option to try it again for no point credit, or continue with the lesson. If the learner clicks to move on to another question then the selected (wrong) answer will be followed. By default, wrong answer jumps are set to "this page" and have a score of 0, so it is recommended that you set the wrong answer jump to a different page to avoid confusion with your learners.';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the learner in a Lesson activity.';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the learner in a Lesson activity.';
$string['maximumnumberofanswersbranches_help'] = 'This setting specifies the maximum number of answers that may be used in the lesson. If only true/false questions are used, it can be set to 2. The setting may be changed at any time, since it only affects what the trainer sees, not the data.';
$string['modattempts'] = 'Allow learner review';
$string['modattempts_help'] = 'If enabled, learners can navigate through the lesson again from the start.';
$string['modattemptsnoteacher'] = 'Learner review only works for learners.';
$string['modulename_help'] = 'The lesson activity module enables a trainer to deliver content and/or practice activities in interesting and flexible ways. A trainer can use the lesson to create a linear set of content pages or instructional activities that offer a variety of paths or options for the learner. In either case, trainers can choose to increase engagement and ensure understanding by including a variety of questions, such as multiple choice, matching and short answer. Depending on the learner\'s choice of answer and how the trainer develops the lesson, learners may progress to the next page, be taken back to a previous page or redirected down a different path entirely.

A lesson may be graded, with the grade recorded in the gradebook.

Lessons may be used

* For self-directed learning of a new topic
* For  scenarios or simulations/decision-making exercises
* For differentiated revision, with different sets of revision questions depending upon answers given to initial questions';
$string['ongoing_help'] = 'If enabled, each page will display the learner\'s current points earned out of the total possible thus far.';
$string['retakesallowed_help'] = 'If enabled, learners can attempt the lesson more than once.';
$string['teacherjumpwarning'] = 'An {$a->cluster} jump or an {$a->unseen} jump is being used in this lesson.  The next page jump will be used instead.  Log in as a learner to test these jumps.';
$string['teacherongoingwarning'] = 'Ongoing score is only displayed for learner.  Log in as a learner to test ongoing score.';
$string['teachertimerwarning'] = 'Timer only works for learners.  Test the timer by logging in as a learner.';
$string['usersnone'] = 'No learners have access to this lesson';
