<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'lti', language 'en_wp', version '3.11'.
 *
 * @package     lti
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['delegate'] = 'Delegate to trainer';
$string['delegate_tool'] = 'As specified in Deep Linking definition or Delegate to trainer';
$string['enableemailnotification_help'] = 'If enabled, learners will receive email notification when their tool submissions are graded.';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the learner in an external tool activity.';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the learner in an external tool activity.';
$string['main_admin_help'] = 'External tools allow Moodle users to seamlessly interact with learning resources hosted remotely. Through a special launch protocol, the remote tool will have access to some general information about the launching user. For example, the institution name, course id, user id, and other information such as the user\'s name or email address.

Tools listed on this page are separated into three categories:

* **Active** - These tool providers have been approved and configured by an administrator. They can be used from within any course on this Moodle instance. If a consumer key and shared secret are entered, a trust relationship is established between this Moodle instance and the remote tool, providing a secure communication channel.
* **Pending** - These tool providers came in through a package import, but have not been configured by an administrator. Trainers may still use tools from these providers if they have a consumer key and shared secret, or if none is required.
* **Rejected** - These tools providers are flagged as ones which an administrator has no intention of making available to the entire Moodle instance. Trainers may still use tools from these providers if they have a consumer key and shared secret, or if none is required.';
$string['modulename_help'] = 'The external tool activity module enables learners to interact with learning resources and activities on other web sites. For example, an external tool could provide access to a new activity type or learning materials from a publisher.

To create an external tool activity, a tool provider which supports LTI (Learning Tools Interoperability) is required. A trainer can create an external tool activity or make use of a tool configured by the site administrator.

External tool activities differ from URL resources in a few ways:

* External tools are context aware i.e. they have access to information about the user who launched the tool, such as institution, course and name
* External tools support reading, updating, and deleting grades associated with the activity instance
* External tool configurations create a trust relationship between your site and the tool provider, allowing secure communication between them';
$string['show_in_course_lti1_help'] = 'This tool may be shown in the activity chooser for a trainer to select to add to a course. Alternatively, it may be shown in the preconfigured tool drop-down menu when adding an external tool to a course. A further option is for the tool configuration to only be used if the exact tool URL is entered when adding an external tool to a course.';
$string['show_in_course_lti2_help'] = 'This tool can be shown in the activity chooser for a trainer to select to add to a course or in the preconfigured tool drop-down menu when adding an external tool to a course.';
$string['tooldescription_help'] = 'The description of the tool that will be displayed to trainers in the activity list.

This should describe what the tool is for and what it does and any additional information the trainer may need to know.';
$string['typename_help'] = 'The tool name is used to identify the tool provider within Moodle. The name entered will be visible to trainers when adding external tools within courses.';
